Bug 498627 - Enable dbus support in gnote
Enable dbus support in gnote
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnote (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 11:04 EDT by Jens Knutson
Modified: 2013-03-13 01:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 11:57:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Knutson 2009-05-01 11:04:49 EDT
Description of problem:

dbus support appears to be absent from the current gnote RPM - barring some significant problem, it ought to be enabled in the build
Comment 1 Rahul Sundaram 2009-05-01 11:11:26 EDT
The last release I tried, it failed to build. Haven't tried yet with the latest build. What does dbus support give you?
Comment 2 Jens Knutson 2009-05-01 11:44:28 EDT
dbus support offers a ton of really nice desktop integration features, at least in Tomboy.  This is Tomboy's dbus API, to give you an idea of what it can do:

AddTagToNote(string uri, string tag_name): bool
CreateNamedNote(string linked_title): string
CreateNote(): string
DeleteNote(string uri): bool
DisplayNote(string uri): bool
DisplayNoteWithSearch(string uri, string search): bool
DisplaySearch()
DisplaySearchWithText(string search_text)
FindNote(string linked_title): string
FindStartHereNote(): string
GetAllNotesWithTag(string tag_name): array string
GetNoteChangeDate(string uri)
GetNoteCompleteXml(string uri): string
GetNoteContents(string uri): string
GetNoteContentsXml(string uri): string
GetNoteCreateDate(string uri)
GetNoteTitle(string uri): string
GetTagsForNote(string uri): array string
Introspect(): string
ListAllNotes(): array string
NoteExists(string uri): bool
RemoveTagFromNote(string uri, string tag_name): bool
SetNoteCompleteXml(string uri, string xml_contents): bool
SetNoteContents(string uri, string text_contents): bool
SetNoteContentsXml(string uri, string xml_contents): bool
Comment 3 Rahul Sundaram 2009-05-01 11:57:19 EDT
The upstream developer has confirmed that dbus option won't work yet. I will enable it when it is actually supported upstream. I am going to close this for now. 

Meanwhile you can find the latest build at 

https://bugzilla.redhat.com/show_bug.cgi?id=498627
Comment 5 Rahul Sundaram 2009-08-01 07:50:47 EDT
gnote 0.6.1 is now in Rawhide with Dbus support enabled. Let me know if you want a Fedora 11 update.

Note You need to log in before you can comment on or make changes to this bug.